#!/bin/ksh
########### GEFS-TC track mean  for 11-members ########
export JYYYY=2018
export JMM=05

export daylist="02 09 16 23 30"
export cyclist="00"

for nday in $daylist; do
for ncyc in $cyclist; do

export JDD=${nday}
export JCYC=${ncyc}

export pmodel=ens
export ymdh=${JYYYY}${JMM}${JDD}${JCYC}
export yyyymmdd=${JYYYY}${JMM}${JDD}
export cycle=${JCYC}

#----------------------------------------------------------------------------------------------------
if [ ${pmodel} = 'ens' ]; then

##### get NCEP GEFS ensemble mean tracks ########

DATAlegacy=/gpfs/dell2/ptmp/Jiayi.Peng/legacy
if [ ! -d ${DATAlegacy} ]; then mkdir -p ${DATAlegacy}; fi

TRACK_IN=/gpfs/dell2/emc/modeling/noscrub/Jiayi.Peng/couple_run/BingP7/gefs.${yyyymmdd}/${cycle}/tctrack
TRACK_OUT=/gpfs/dell2/emc/modeling/noscrub/Jiayi.Peng/couple_run/BingP7Mean/gefs.${ymdh}
if [ ! -d ${TRACK_OUT} ]; then mkdir -p ${TRACK_OUT}; fi

export pertlist="c00 p01 p02 p03 p04 p05 p06 p07 p08 p09 p10"
for npert in $pertlist; do
  cp ${TRACK_IN}/a${npert}.t${JCYC}z.cyclone.trackatcfunix ${TRACK_OUT}/trak.a${npert}.atcfunix.${ymdh}
done

cp ${TRACK_OUT}/trak.ap* ${DATAlegacy}
#cp ${TRACK_OUT}/trak.ac* ${DATAlegacy}

/gpfs/dell2/emc/modeling/noscrub/Jiayi.Peng/meantker11/ens_trak_ave.sh ${yyyymmdd} ${cycle} ens ${DATAlegacy}

cp ${DATAlegacy}/trak.aemn.* ${TRACK_OUT}
cp ${DATAlegacy}/aemn.trkprob.* ${TRACK_OUT}
rm -f ${DATAlegacy}/*

#----------------------------------------------------------------------------------------------------
fi

done
done

